## osm2pgsql 0.08.20071007

=== Makefile ===
PACKAGE:=osm2pgsql
VERSION:=0.08
SVN:=$(shell date +%Y%m%d)

CFLAGS += -O2 -Wall -Wextra
CFLAGS += $(shell xml2-config --cflags)
CFLAGS += $(shell geos-config --cflags)
CFLAGS += -I$(shell pg_config --includedir)
CFLAGS += -DVERSION=\"$(VERSION)-$(SVN)\"

CXXFLAGS += -O2 -Wall -DGEOS_INLINE $(CFLAGS)

LDFLAGS += $(shell xml2-config --libs) 
LDFLAGS += $(shell geos-config --libs)
LDFLAGS += -L$(shell pg_config --libdir) -lpq
LDFLAGS += -lbz2
LDFLAGS += -lproj

SRCS:=$(wildcard *.c) $(wildcard *.cpp)
OBJS:=$(SRCS:.c=.o)
OBJS:=$(OBJS:.cpp=.o)
DEPS:=$(SRCS:.c=.d)
DEPS:=$(DEPS:.cpp=.d)

APPS:=osm2pgsql

.PHONY: all clean $(PACKAGE).spec

all: $(APPS)

clean: 
	rm -f $(APPS) $(OBJS) $(DEPS)
	rm -f $(PACKAGE)-*.tar.bz2

%.d: %.c
	@set -e; rm -f $@; \
	$(CC) -MM $(CFLAGS) $< > $@.$$$$; \
	sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' < $@.$$$$ > $@; \
	rm -f $@.$$$$

-include $(DEPS)

osm2pgsql: $(OBJS)
	$(CXX) -o $@ $^ $(LDFLAGS)

$(PACKAGE).spec: $(PACKAGE).spec.in
	sed -e "s/@PACKAGE@/$(PACKAGE)/g; s/@VERSION@/$(VERSION)/g; s/@SVN@/$(SVN)/g;" $^ > $@

$(PACKAGE)-$(VERSION)-$(SVN).tar.bz2: $(PACKAGE).spec
	rm -fR tmp
	mkdir -p tmp/osm2pgsql
	cp -p Makefile *.[ch] *.cpp readme.txt osm2pgsql.spec* osm2pgsql-svn.sh tmp/osm2pgsql
	cp -p osm2pgsql.spec tmp/
	tar cjf $@ -C tmp .
	rm -fR tmp

rpm: $(PACKAGE)-$(VERSION)-$(SVN).tar.bz2
	rpmbuild -ta $^

=== legacy/Makefile ===
CFLAGS += -g 
CFLAGS += -O2 -Wall
CFLAGS += $(shell xml2-config --cflags)
CFLAGS += $(shell geos-config --cflags)
CXXFLAGS += -g -O2 -Wall -DGEOS_INLINE 
LDFLAGS += $(shell xml2-config --libs) 
LDFLAGS += $(shell geos-config --libs) 

APPS:=osm2pgsql

.PHONY: all clean

all: $(APPS)

clean: 
	rm -f  $(APPS) osm2pgsql.o build_geometry.o

osm2pgsql: osm2pgsql.o build_geometry.o

## osm2pgsql 0.52.20080408

=== Makefile ===
--- 
+++ 
@@ -1,20 +1,25 @@
 PACKAGE:=osm2pgsql
-VERSION:=0.08
+VERSION:=0.52
 SVN:=$(shell date +%Y%m%d)
 
-CFLAGS += -O2 -Wall -Wextra
+CC = gcc
+CXX = g++
+
+CFLAGS += -g -O2 -Wall -Wextra
 CFLAGS += $(shell xml2-config --cflags)
 CFLAGS += $(shell geos-config --cflags)
 CFLAGS += -I$(shell pg_config --includedir)
 CFLAGS += -DVERSION=\"$(VERSION)-$(SVN)\"
 
-CXXFLAGS += -O2 -Wall -DGEOS_INLINE $(CFLAGS)
+CXXFLAGS += -g -O2 -Wall -DGEOS_INLINE $(CFLAGS)
+CXXFLAGS += $(shell geos-config --cflags)
 
 LDFLAGS += $(shell xml2-config --libs) 
 LDFLAGS += $(shell geos-config --libs)
 LDFLAGS += -L$(shell pg_config --libdir) -lpq
 LDFLAGS += -lbz2
-LDFLAGS += -lproj
+LDFLAGS += -g -lproj
+LDFLAGS += -lstdc++
 
 SRCS:=$(wildcard *.c) $(wildcard *.cpp)
 OBJS:=$(SRCS:.c=.o)

## osm2pgsql 0.66.20090526

=== Makefile ===
PACKAGE:=osm2pgsql
VERSION:=0.66
SVN:=$(shell svnversion)

CC = gcc
CXX = g++

CFLAGS += -g -O2 -Wall -Wextra
CFLAGS += $(shell xml2-config --cflags)
CFLAGS += $(shell geos-config --cflags)
CFLAGS += -I$(shell pg_config --includedir)
CFLAGS += -DVERSION=\"$(VERSION)-$(SVN)\"
CFLAGS += -DHAVE_PTHREAD

CXXFLAGS += -g -O2 -Wall -DGEOS_INLINE $(CFLAGS)
CXXFLAGS += $(shell geos-config --cflags)

LDFLAGS += $(shell xml2-config --libs) 
LDFLAGS += $(shell geos-config --libs)
LDFLAGS += -L$(shell pg_config --libdir) -lpq
LDFLAGS += -lbz2 -lz
LDFLAGS += -g -lproj
LDFLAGS += -lstdc++
LDFLAGS += -lpthread

SRCS:=$(wildcard *.c) $(wildcard *.cpp)
OBJS:=$(SRCS:.c=.o)
OBJS:=$(OBJS:.cpp=.o)
DEPS:=$(SRCS:.c=.d)
DEPS:=$(DEPS:.cpp=.d)

DESTDIR = /

APPS:=osm2pgsql

.PHONY: all clean $(PACKAGE).spec

all: $(APPS)

clean: 
	rm -f $(APPS) $(OBJS) $(DEPS)
	rm -f $(PACKAGE)-*.tar.bz2
	rm -f osm2pgsql.spec

install: $(APPS)
	install -o root -g root -m 0755 $(APPS) $(DESTDIR)/usr/bin

%.d: %.c
	@set -e; rm -f $@; \
	$(CC) -MM $(CFLAGS) $< > $@.$$$$; \
	sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' < $@.$$$$ > $@; \
	rm -f $@.$$$$

-include $(DEPS)

osm2pgsql: $(OBJS)
	$(CXX) -o $@ $^ $(LDFLAGS)

$(PACKAGE).spec: $(PACKAGE).spec.in
	sed -e "s/@PACKAGE@/$(PACKAGE)/g; s/@VERSION@/$(VERSION)/g; s/@SVN@/$(SVN)/g;" $^ > $@

$(PACKAGE)-$(VERSION).tar.bz2: $(PACKAGE).spec
	rm -fR tmp
	mkdir -p tmp/osm2pgsql
	cp -p Makefile *.[ch] *.cpp README.txt osm2pgsql-svn.sh tmp/osm2pgsql
	cp -p osm2pgsql.spec tmp/
	tar cjf $@ -C tmp .
	rm -fR tmp

rpm: $(PACKAGE)-$(VERSION).tar.bz2
	rpmbuild -ta $^

## osm2pgsql 0.69%2Br20104

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 PACKAGE:=osm2pgsql
-VERSION:=0.66
+VERSION:=0.69
 SVN:=$(shell svnversion)
 
 CC = gcc

## osm2pgsql 0.69+r20104

=== gazetteer/Makefile ===
MODULES = gazetteer
PGXS := $(shell pg_config --pgxs)
include $(PGXS)

## osm2pgsql 0.70.5%2br25090

=== debian/changelog ===
osm2pgsql (0.70.5+r25090-2ubuntu2) oneiric; urgency=low

  * debian/control: Update Recommends of NBS postgresql-8.4-postgis to -9.1.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Sep 2011 14:55:26 +0200

osm2pgsql (0.70.5+r25090-2ubuntu1) oneiric; urgency=low

  * debian/patches/02-fix-as-needed-build.patch:
    - fix build with ld --as-needed (LP: #803191)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 21 Aug 2011 16:32:05 +0200

osm2pgsql (0.70.5+r25090-2) unstable; urgency=low

  * Fix Maintainer e-mail address

 -- David Paleino <dapal@debian.org>  Wed, 19 Jan 2011 16:15:54 +0100

osm2pgsql (0.70.5+r25090-1) unstable; urgency=low

  * New SVN snapshot
  * debian/control:
    - fix Vcs-* fields to point to the git repository.
    - added pkg-osm to Uploaders
  * Bump Standards-Version to 3.9.1, no changes needed
  * Use "3.0 (quilt)" format
  * Removed useless dpatch machinery
  * Use dh7 for debian/rules
  * Improve get-orig-source target
  * Wrapped multi-value fields in debian/control
  * Bump debhelper compatibility to 8
  * debian/docs updated
  * Use new DebianGIS e-mail address
  * Add Build-Dependencies on zlib, protobuf-c and dh-autoreconf
  * Use DEP-5 for debian/copyright
  * Clean protoc-generated files during the clean target
  * Updated manpage
  * Fix FTBFS, due to missing linkage with zlib (00-fix_build.patch)
  * Remove 'gazetteer' from the packaged examples. It has become quite huge
    (90M unpacked), and I suppose not much people need it. It might become
    a separate binary package in future, though.
    Also remove it from the "orig" tarball. I'll reintroduce it as soon
    as someone actually asks for it.
  * Don't actually build gazetteer (01-disable_gazetteer.patch)

 -- David Paleino <dapal@debian.org>  Tue, 18 Jan 2011 22:13:02 +0100

osm2pgsql (0.69+r20104-2) unstable; urgency=low

  [ Francesco Paolo Lovergine ]
  * Changed debian/rules to autodetect latest svn revision and upstream version.
  * Now recommends both postgis and last available postgresql-postgis revision.
    (closes: #559604)
  * Fixed previous changelog for repeated logs.

  [ David Paleino ]
  * debian/control:
    - fix Vcs-* fields to point to trunk only.
    - added myself to Uploaders

 -- David Paleino <dapal@debian.org>  Sun, 05 Sep 2010 08:38:52 +0200

osm2pgsql (0.69+r20104-1) unstable; urgency=low

  * Added 900913.sql, containing EPSG:900913 for postgis, as example. (Andreas)
  * New upstream svn snapshot as taken from upstream svn. Now using svn release
    number instead of date to identify better the relevant snapshot.
  * Patch 01_style_location merged upstream.
  * Added Vcs-* fields to debian/control.
  * Policy bumped to 3.8.4 without changes.
  * Added a new set of examples (gazetteer and other scripts).

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 22 Feb 2010 10:43:12 +0100

osm2pgsql (0.66.20090526-1) unstable; urgency=low

  * New upstream svn snapshot. (Closes: #532145)
  * Removed 10-missing-includes patch, fixed upstream.
  * Updated long description, mostly taken from osm2pgsql.spec.in.
  * Updated copyright year of debian packaging.
  * Added DM-Upload-Allowed to debian/control.
  * Added 01_style_location patch from Frederik Ramm to reflect
    path of style files on debian systems.
  * Use dh_prep instead of dh_clean -k to fix a lintian warning.
  * Updated manpage.

 -- Andreas Putzo <andreas@putzo.net>  Mon, 08 Jun 2009 21:44:57 +0000

osm2pgsql (0.52.20080408-3) unstable; urgency=high

  * Updated build-dep: proj -> libproj-dev.
  * Added Homepage field.
  * Added me as uploader.
  * Policy bumped to 3.8.1.
  * Debhelper compatibility moved to 7.
  * Now recommends postgis 8.3 extension. 
  * Added me as uploader.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 26 May 2009 15:43:48 +0200

osm2pgsql (0.52.20080408-2) unstable; urgency=low

  * Added 10-missing-includes.dpatch to actually build with
    gcc-4.3. Thanks Chris Lamb for the patch. (Closes: #475692)
  * Added dpatch to Build-Depends in debian/control.
    Added patch targets to debian/rules.
  * Added a get-orig-source target to debian/rules to fetch upstream
    source from svn repository.
  * Bumped debhelper compatibility level to 5.

  * Upload sponsored by Petter Reinholdtsen.

 -- Andreas Putzo <andreas@putzo.net>  Sat, 12 Apr 2008 23:27:12 +0000

osm2pgsql (0.52.20080408-1) unstable; urgency=low

  * New upstream snapshot. (Closes: #474846)
  * Adopt rename of readme.txt in debian/docs.
  * Update manual page from usage output. (Closes: #468767)
  * Add license and copyright of added file sprompt.c to debian/copyright.

  * Upload sponsored by Petter Reinholdtsen.

 -- Andreas Putzo <andreas@putzo.net>  Fri, 11 Apr 2008 22:43:08 +0000

osm2pgsql (0.50.20071211-1) unstable; urgency=low

  * New upstream snapshot
    - Missing includes added (FTBS with gcc-4.3) (Closes: #454849)
  * Bumped Standards-Version to 3.7.3

 -- Andreas Putzo <andreas@putzo.net>  Tue, 11 Dec 2007 19:18:26 +0000

osm2pgsql (0.08.20071007-1) unstable; urgency=low

  * Initial release (Closes: #444705)

 -- Andreas Putzo <andreas@putzo.net>  Sun, 07 Oct 2007 13:41:33 +0000

## osm2pgsql 0.70.5+r25090

=== debian/control ===
Source: osm2pgsql
Section: utils
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Putzo <andreas@putzo.net>
 , Francesco Paolo Lovergine <frankie@debian.org>
 , David Paleino <dapal@debian.org>
 , Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Build-Depends:
 debhelper (>= 8~)
 , dh-autoreconf
 , libbz2-dev
 , zlib1g-dev
 , libgeos-dev
 , libpq-dev
 , libxml2-dev
 , libproj-dev
 , libprotobuf-c0-dev (>= 0.14)
 , protobuf-c-compiler
Standards-Version: 3.9.1
Homepage: http://wiki.openstreetmap.org/wiki/Osm2pgsql
Vcs-Browser: http://git.debian.org/?p=pkg-grass/osm2pgsql.git
Vcs-Git: git://git.debian.org/pkg-grass/osm2pgsql.git

Package: osm2pgsql
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
Recommends:
 postgis
 , postgresql-8.4-postgis
Suggests:
 josm
 , gosmore 
Description: OpenStreetMap data to PostgreSQL converter
 Convert OSM planet snapshot data to SQL suitable for loading
 into a PostgreSQL database with PostGIS geospatial extensions. This
 database may then be used to render maps with Mapnik or for other
 geospatial analysis.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for osm2pgsql  
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SVNREPO := http://svn.openstreetmap.org/applications/utils/export/osm2pgsql
VERSION := $(shell dpkg-parsechangelog | grep Version | cut -d' ' -f2)
UPVER   := $(shell echo $(VERSION) | awk -F'+r' '{print $$1}')
SVNREV  := $(shell echo $(VERSION) | awk -F'+r' '{print $$2}' | cut -d- -f1)
SUFFIX  := +r$(SVNREV)

%:
	dh $@ \
		--with autoreconf

override_dh_compress:
	# clean up some naive file permissions
	#-find $(CURDIR)/gazetteer/website -type f -exec chmod a-x {} \;
	dh_compress -X.php -X.sql -X.js -X.c -X.h

get-orig-source:
	@echo Downloading osm2pgsql from ${SVNREPO}
	svn export -r ${SVNREV} ${SVNREPO} osm2pgsql-${UPVER}${SUFFIX}/
	@echo Removing gazetteer.
	rm -rf osm2pgsql-${UPVER}${SUFFIX}/gazetteer/
	@echo Building snapshot tarball.
	tar czvf osm2pgsql_${UPVER}${SUFFIX}.orig.tar.gz osm2pgsql-${UPVER}${SUFFIX}
	@echo Cleaning up
	rm -rf osm2pgsql-${UPVER}${SUFFIX}
	@echo .
	@echo To update debian/changelog type
	@echo dch -v ${UPVER}${SUFFIX}-1
	@echo .

## osm2pgsql 0.80.0%2Br27899

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
  , dh-autoreconf
  , libbz2-dev
  , zlib1g-dev
- , libgeos-dev
+ , libgeos++-dev
  , libpq-dev
  , libxml2-dev
  , libproj-dev
  , libprotobuf-c0-dev (>= 0.14)
  , protobuf-c-compiler
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage: http://wiki.openstreetmap.org/wiki/Osm2pgsql
 Vcs-Browser: http://git.debian.org/?p=pkg-grass/osm2pgsql.git
 Vcs-Git: git://git.debian.org/pkg-grass/osm2pgsql.git
@@ -31,7 +31,7 @@
  , ${misc:Depends}
 Recommends:
  postgis
- , postgresql-8.4-postgis
+ , postgresql-9.1-postgis
 Suggests:
  josm
  , gosmore

## osm2pgsql 0.80.0+r27899

=== debian/changelog ===
osm2pgsql (0.80.0+r27899-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Update Recommends of NBS postgresql-8.4-postgis to -9.1.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 25 May 2012 15:42:49 -0400

osm2pgsql (0.80.0+r27899-1) unstable; urgency=low

  * New SVN snapshot
  * Strip the debian/ directory from the SVN checkout
  * Standards-Version bump to 3.9.3, no changes needed
  * Updated debian/copyright
  * Patches refreshed to apply to new source
  * Switch build-dependency from libgeos-dev to libgeos++-dev

 -- David Paleino <dapal@debian.org>  Sun, 26 Feb 2012 21:37:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: osm2pgsql
 Section: utils
 Priority: optional
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Putzo <andreas@putzo.net>
  , Francesco Paolo Lovergine <frankie@debian.org>

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,8 @@
 	svn export -r ${SVNREV} ${SVNREPO} osm2pgsql-${UPVER}${SUFFIX}/
 	@echo Removing gazetteer.
 	rm -rf osm2pgsql-${UPVER}${SUFFIX}/gazetteer/
+	@echo Removing debian/ directory
+	rm -rf osm2pgsql-${UPVER}${SUFFIX}/debian/
 	@echo Building snapshot tarball.
 	tar czvf osm2pgsql_${UPVER}${SUFFIX}.orig.tar.gz osm2pgsql-${UPVER}${SUFFIX}
 	@echo Cleaning up

## osm2pgsql 0.82.0

=== debian/changelog ===
osm2pgsql (0.82.0-1git1) trusty; urgency=low

  Upload current Debian git head for the postgis transition.

  [ Bas Couwenberg ]
  * Team upload.
  * Update postgis Recommends to postgresql-9.3-postgis-2.1.
    (closes: #732413)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 18 Dec 2013 08:46:43 +0100

osm2pgsql (0.82.0-1) unstable; urgency=low

  [ Andrew Harvey ]
  * New SVN snapshot
  * Patches refreshed to apply to new source
  * Update debian/rules get-orig-source to not bother trying to remove the
    gazetteer as it is no longer included upstream
  * Update manpage
  * Add debian/watch documenting the situation of the upstream version number

  [ David Paleino ]
  * Dropped 02-backport_64bit_ids_support.patch, no more needed
  * Standards-Version bump to 3.9.4, no changes needed
  * Removed Andreas Putzo and DMUA flag from debian/control

  [ Andreas Tille ]
  * New upstream version (adapted patch)
  * Added watch file
  * debian/control:
     - Add myself as Uploader (and drop pkg-osm team)
     - canonical URIs for Vcs fields
     - cme fix dpkg-control
     - debhelper 9
  * debian/copyright:
     - DEP5
     - New Source location
     - Added Upstream-Contact
  * debian/manpages: Install manpages provided upstream
  * debian/osm2pgsql.1: removed

 -- Andreas Tille <tille@debian.org>  Tue, 17 Sep 2013 23:21:42 +0200

osm2pgsql (0.80.0+r27899-3) unstable; urgency=low

  * Update Recommends of postgresql-8.4-postgis to -9.1
  * Backport support for 64-bit IDs (Closes: #687965)

 -- David Paleino <dapal@debian.org>  Sun, 23 Sep 2012 09:14:15 +0200

=== debian/control ===
Source: osm2pgsql
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           David Paleino <dapal@debian.org>,
           Andreas Tille <tille@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libbz2-dev,
               zlib1g-dev,
               libgeos++-dev,
               libpq-dev,
               libxml2-dev,
               libproj-dev,
               libprotobuf-c0-dev (>= 0.14),
               protobuf-c-compiler
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/osm2pgsql.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/osm2pgsql.git
Homepage: http://wiki.openstreetmap.org/wiki/Osm2pgsql

Package: osm2pgsql
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: postgis,
            postgresql-9.3-postgis-2.1
Suggests: josm,
          gosmore
Description: OpenStreetMap data to PostgreSQL converter
 Convert OSM planet snapshot data to SQL suitable for loading
 into a PostgreSQL database with PostGIS geospatial extensions. This
 database may then be used to render maps with Mapnik or for other
 geospatial analysis.

=== debian/rules ===
--- 
+++ 
@@ -16,14 +16,11 @@
 
 override_dh_compress:
 	# clean up some naive file permissions
-	#-find $(CURDIR)/gazetteer/website -type f -exec chmod a-x {} \;
 	dh_compress -X.php -X.sql -X.js -X.c -X.h
 
 get-orig-source:
 	@echo Downloading osm2pgsql from ${SVNREPO}
 	svn export -r ${SVNREV} ${SVNREPO} osm2pgsql-${UPVER}${SUFFIX}/
-	@echo Removing gazetteer.
-	rm -rf osm2pgsql-${UPVER}${SUFFIX}/gazetteer/
 	@echo Removing debian/ directory
 	rm -rf osm2pgsql-${UPVER}${SUFFIX}/debian/
 	@echo Building snapshot tarball.

=== debian/watch ===
version=3
https://github.com/openstreetmap/osm2pgsql/tags .*/v*(\d[\d\.]+)\.tar\.gz

## osm2pgsql 0.84.0

=== debian/changelog ===
osm2pgsql (0.84.0-3) unstable; urgency=medium

  * Only recommend postgis, now that postgis recommends the postgresql
    specific shared library.
    (closes: #757972)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 17 Aug 2014 15:11:05 +0200

osm2pgsql (0.84.0-2) unstable; urgency=medium

  * Add patches for protobuf-c 1.0.0 support.
    Thanks to Robert Edmonds for the patches.
    (closes: #755553)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 26 Jul 2014 13:33:01 +0200

osm2pgsql (0.84.0-1) unstable; urgency=low

  * New upstream release.
  * Add myself to Uploaders.
  * Update postgis Recommends to postgresql-9.3-postgis-2.1.
    (closes: #732415)
  * Add gbp.conf to use pristine-tar by default.
  * Refresh patches.
  * Drop get-orig-source target, upstream moved from OSM SVN to GitHub.
  * Add build dependency on liblua5.2-dev and lua5.2.
  * Append CPPFLAGS to CFLAGS & CXXFLAGS to use -D_FORTIFY_SOURCE=2.
  * Add patch to fix hyphen-used-as-minus-sign warnings.
  * Add patch to fix spelling-error-in-manpage warning.
  * Bump Standards-Version to 3.9.5, no changes.
  * Enable parallel builds.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 30 Apr 2014 13:05:29 +0200

=== debian/control ===
Source: osm2pgsql
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           David Paleino <dapal@debian.org>,
           Andreas Tille <tille@debian.org>,
           Bas Couwenberg <sebastic@xs4all.nl>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libbz2-dev,
               zlib1g-dev,
               libgeos++-dev,
               libpq-dev,
               libxml2-dev,
               libproj-dev,
               libprotobuf-c-dev | libprotobuf-c0-dev (>= 0.14),
               protobuf-c-compiler,
               liblua5.2-dev,
               lua5.2
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/osm2pgsql.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/osm2pgsql.git
Homepage: http://wiki.openstreetmap.org/wiki/Osm2pgsql

Package: osm2pgsql
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: postgis
Description: OpenStreetMap data to PostgreSQL converter
 Convert OSM planet snapshot data to SQL suitable for loading
 into a PostgreSQL database with PostGIS geospatial extensions. This
 database may then be used to render maps with Mapnik or for other
 geospatial analysis.

## osm2pgsql 0.86.0

=== debian/changelog ===
osm2pgsql (0.86.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove 00-fix_build.patch, applied upstream.
  * Remove 01-hyphen-used-as-minus-sign.patch, applied upstream.
  * Remove 02-spelling-error-in-manpage.patch, applied upstream.
  * Remove 03-fix-build-for-protobuf-c-1.0.0.patch, applied upstream.
  * Remove 04-api-changes-for-protobuf-c-1.0.0.patch, applied upstream.
  * Add python build dependencies for updated regression test script.
  * Update docs to install README.md.
  * Bump Standards-Version to 3.9.6, no changes.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 25 Oct 2014 13:15:52 +0200

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,10 @@
                libprotobuf-c-dev | libprotobuf-c0-dev (>= 0.14),
                protobuf-c-compiler,
                liblua5.2-dev,
-               lua5.2
-Standards-Version: 3.9.5
+               lua5.2,
+               python,
+               python-psycopg2
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/osm2pgsql.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/osm2pgsql.git
 Homepage: http://wiki.openstreetmap.org/wiki/Osm2pgsql

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for osm2pgsql  
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@ \
		--with autoreconf \
		--parallel

override_dh_auto_configure:
	dh_auto_configure -- CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)"

override_dh_compress:
	# clean up some naive file permissions
	dh_compress -X.php -X.sql -X.js -X.c -X.h

## osm2pgsql 0.88.1

=== debian/changelog ===
osm2pgsql (0.88.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to handle other tar extensions.
  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 28 Aug 2015 11:51:55 +0200

osm2pgsql (0.88.0-1) unstable; urgency=medium

  * Fix filenamemangle in watch file for non pre-releases.
  * New upstream release.
  * Add lintian override for spelling-error-in-binary false positive.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 Jul 2015 08:05:18 +0200

osm2pgsql (0.88.0~rc1-1~exp1) experimental; urgency=medium

  * Support pre-releases in watch file.
  * New upstream release candidate.
  * Add additional contributors to copyright file.
  * Also include CONTRIBUTING.md in docs.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Jul 2015 10:31:41 +0200

osm2pgsql (0.87.4-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file, changes:
    - Drop license & copyright for rb.{c,h}pp, removed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 06 Jul 2015 08:37:56 +0200

osm2pgsql (0.87.3-3) unstable; urgency=medium

  * Use --without-lockfree configure option on problematic architectures,
    still required despite upstream claims.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 May 2015 11:22:39 +0200

osm2pgsql (0.87.3-2) unstable; urgency=medium

  * Drop --without-lockfree configure option, no longer needed.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Apr 2015 23:56:01 +0200

osm2pgsql (0.87.3-1) unstable; urgency=medium

  * New upstream release.
  * Change Upstream-Contact to OpenStreetMap Developers.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Apr 2015 09:09:57 +0200

osm2pgsql (0.87.2-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Apr 2015 20:12:07 +0200

osm2pgsql (0.87.2-1~exp3) experimental; urgency=medium

  * Also use --without-lockfree configure option on sparc & alpha.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Mar 2015 17:05:36 +0100

osm2pgsql (0.87.2-1~exp2) experimental; urgency=medium

  * Use --without-lockfree configure option only on architectures where the
    build fails otherwise. The option introduces a performance penalty
    undesirable on the primary architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Feb 2015 19:41:52 +0100

osm2pgsql (0.87.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Use --without-lockfree configure option instead of patching the
    source.
  * Include additional documentation.
  * Update my email to @debian.org address.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 24 Feb 2015 09:11:40 +0100

osm2pgsql (0.87.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update Vcs-Browser URL to use cgit instead of gitweb.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Tue, 30 Dec 2014 08:50:38 +0100

osm2pgsql (0.87.0-1~exp2) experimental; urgency=medium

  * Add patch to not use Boost lockfree queues even for Boost >= 1.53,
    hopefully fixes the FTBFS on arm64, armel, powerpc, ppc64el & s390x.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 12 Dec 2014 01:38:00 +0100

osm2pgsql (0.87.0-1~exp1) experimental; urgency=medium

  * New upstream release. 
  * Add upstream metadata.
  * Update watch file to rename downloaded tarball.
  * Add Boost build dependencies for C++ build.
  * Enable verbose test output.
  * Ignore test failures, some tests require a configured postgres
    database.
  * Update copyright file, changes:
    - Add Upstream-Name header
    - Update Files sections for C++ files
    - Update Source URL to match watch file URL
    - Fix geos-fallback license, GEOS uses LGPL-2.1+ not LGPL-3+
    - Add Copyright & License for win_fsync.h

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 10 Dec 2014 20:13:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,18 @@
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            David Paleino <dapal@debian.org>,
            Andreas Tille <tille@debian.org>,
-           Bas Couwenberg <sebastic@xs4all.nl>
+           Bas Couwenberg <sebastic@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
+               libboost-dev,
+               libboost-system-dev,
+               libboost-filesystem-dev,
+               libboost-thread-dev,
                libbz2-dev,
                zlib1g-dev,
+               libgeos-dev,
                libgeos++-dev,
                libpq-dev,
                libxml2-dev,
@@ -21,7 +26,7 @@
                python,
                python-psycopg2
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/osm2pgsql.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osm2pgsql.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/osm2pgsql.git
 Homepage: http://wiki.openstreetmap.org/wiki/Osm2pgsql

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,11 @@
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+
+# Verbose test output
+export VERBOSE=1
 
 CFLAGS += $(CPPFLAGS)
 CXXFLAGS += $(CPPFLAGS)
@@ -15,6 +20,9 @@
 override_dh_auto_configure:
 	dh_auto_configure -- CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)"
 
+override_dh_auto_test:
+	dh_auto_test || echo "Ignoring test failures"
+
 override_dh_compress:
 	# clean up some naive file permissions
 	dh_compress -X.php -X.sql -X.js -X.c -X.h

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/_/./g;s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?)?(?:rel|v|osm2psql)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/osm2psql-$1.$2/ \
https://github.com/openstreetmap/osm2pgsql/releases \
(?:.*?/)?(?:rel|v|osm2pqsql)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## osm2pgsql 0.90.0+ds

=== CMakeLists.txt ===
set(PACKAGE osm2pgsql)
set(PACKAGE_NAME osm2pgsql)
set(PACKAGE_VERSION 0.90.0)

cmake_minimum_required(VERSION 2.8.7)

project(osm2pgsql)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

set(DATA_DIR \"${CMAKE_INSTALL_PREFIX}/share/osm2pgsql\")

option(BUILD_TESTS "Build test suite" OFF)

if (NOT TESTING_TIMEOUT)
  set(TESTING_TIMEOUT 1200)
endif()

if (NOT WIN32 AND NOT APPLE)
  # No need for this path, just a workaround to make cmake check pass on all systems
  set(PostgreSQL_TYPE_INCLUDE_DIR /usr/include)
endif()

# Just in case user installed RPMs from http://yum.postgresql.org/
list(APPEND PostgreSQL_ADDITIONAL_SEARCH_PATHS /usr/pgsql-9.3 /usr/pgsql-9.4 /usr/pgsql-9.5)

if (PROJECT_SOURCE_DIR STREQUAL PROJECT_BINARY_DIR)
  message(FATAL_ERROR "In-source builds are not allowed, please use a separate build directory like `mkdir build && cd build && cmake ..`")
endif()

message(STATUS "Building osm2pgsql ${PACKAGE_VERSION}")

if (NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo)
endif()

set (CMAKE_CXX_STANDARD 11)
set (CMAKE_CXX_EXTENSIONS Off)
set (CMAKE_CXX_STANDARD_REQUIRED TRUE)

if ( MSVC )
  add_definitions(-D_CRT_SECURE_NO_WARNINGS -DNOMINMAX -wd4996)
  set (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} /ignore:4099 /STACK:30000000")
else()
  add_definitions(-Wall)
  add_definitions(-DBOOST_TEST_DYN_LINK)
  if (CMAKE_VERSION VERSION_LESS 3.1)
    add_definitions(-std=c++11)
  endif ()
endif()

option(EXTERNAL_LIBOSMIUM "Do not use the bundled libosmium" OFF)

#############################################################
# Detect available headers and set global compiler options
#############################################################

include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckTypeSize)

add_definitions( -DOSM2PGSQL_DATADIR=${DATA_DIR} )
add_definitions( -DFIXED_POINT )

CHECK_INCLUDE_FILES (termios.h HAVE_TERMIOS_H)
CHECK_INCLUDE_FILES (libgen.h HAVE_LIBGEN_H)
CHECK_INCLUDE_FILES (unistd.h HAVE_UNISTD_H)
CHECK_INCLUDE_FILES (sys/wait.h HAVE_SYS_WAIT_H)
CHECK_INCLUDE_FILES (sys/time.h HAVE_SYS_TIME_H)
CHECK_INCLUDE_FILES (sys/mman.h HAVE_MMAP)

if (WIN32)
  set(HAVE_LIBGEN_H FALSE)
endif()

CHECK_FUNCTION_EXISTS(lseek64 HAVE_LSEEK64)
CHECK_FUNCTION_EXISTS(posix_fallocate HAVE_POSIX_FALLOCATE)
CHECK_FUNCTION_EXISTS(posix_fadvise HAVE_POSIX_FADVISE)
CHECK_FUNCTION_EXISTS(sync_file_range HAVE_SYNC_FILE_RANGE)
CHECK_FUNCTION_EXISTS(fork HAVE_FORK)

CHECK_TYPE_SIZE("off_t" SIZEOF_OFF_T)

if (NOT WIN32 AND NOT APPLE AND NOT HAVE_LSEEK64 AND NOT SIZEOF_OFF_T EQUAL 8)
  message(FATAL_ERROR "Flat nodes cache requires a 64 bit capable seek")
endif()

#############################################################
# Find necessary libraries
#############################################################

if (NOT EXTERNAL_LIBOSMIUM)
  set(OSMIUM_INCLUDE_DIR "${CMAKE_CURRENT_SOURCE_DIR}/contrib/libosmium")
endif()

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

find_package(Osmium REQUIRED COMPONENTS io geos proj)
include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS})

find_package(Lua)
if (LUA_FOUND)
  include_directories(${LUA_INCLUDE_DIR})
  set(HAVE_LUA 1)
else()
  message(STATUS "lua libraries not found. You will NOT be able to use lua scripts for tag transform.")
endif()

if (MSVC)
  # Boost thread needs extra libraries
  set(BOOST_EXTRA date_time chrono)
endif()

if (NOT Boost_ADDITIONAL_VERSIONS)
  set(Boost_ADDITIONAL_VERSIONS "1.55;1.56;1.57;1.58;1.59;1.60;1.61")
endif()

# first try to find the version
find_package(Boost 1.50 REQUIRED COMPONENTS system filesystem ${BOOST_EXTRA})
include_directories(${Boost_INCLUDE_DIR})

find_package(PostgreSQL REQUIRED)
include_directories(${PostgreSQL_INCLUDE_DIRS})

find_package(Threads)

############### Libraries are found now ########################


set (LIBS ${Boost_LIBRARIES} ${PostgreSQL_LIBRARY} ${OSMIUM_LIBRARIES})

if (LUA_FOUND)
  list(APPEND LIBS ${LUA_LIBRARIES})
endif()

if (WIN32)
  list(APPEND LIBS ws2_32)
  if (MSVC)
    find_path(GETOPT_INCLUDE_DIR getopt.h)
    find_library(GETOPT_LIBRARY NAMES wingetopt getopt )
    if (GETOPT_INCLUDE_DIR AND GETOPT_LIBRARY)
      include_directories(${GETOPT_INCLUDE_DIR})
      list(APPEND LIBS ${GETOPT_LIBRARY})
    else()
      message(ERROR "Can not find getopt library for Windows. Please get it from https://github.com/alex85k/wingetopt or alternative source.")
    endif()
  endif()
endif()

message("Libraries used to build: " ${LIBS})

list(APPEND LIBS ${CMAKE_DL_LIBS})

if (CMAKE_SYSTEM_NAME STREQUAL Linux)
  check_library_exists(rt clock_gettime "time.h" HAVE_CLOCK_GETTIME_IN_RT)
  if (HAVE_CLOCK_GETTIME_IN_RT)
    list(APPEND LIBS rt)
  endif()
endif ()

message("Active compiler flags:" ${CMAKE_CXX_FLAGS})

#############################################################
# Build the library and executable file
#############################################################

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/cmake/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)

if (NOT HAVE_UNISTD_H AND NOT EXISTS ${CMAKE_CURRENT_BINARY_DIR}/unistd.h)
   file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/unistd.h "// empty header\n")
endif()

set(osm2pgsql_lib_SOURCES
  expire-tiles.cpp
  geometry-builder.cpp
  geometry-processor.cpp
  id-tracker.cpp
  middle-pgsql.cpp
  middle-ram.cpp
  middle.cpp
  node-persistent-cache.cpp
  node-ram-cache.cpp
  options.cpp
  osmdata.cpp
  output-gazetteer.cpp
  output-multi.cpp
  output-null.cpp
  output-pgsql.cpp
  output.cpp
  parse-osmium.cpp
  pgsql.cpp
  processor-line.cpp
  processor-point.cpp
  processor-polygon.cpp
  reprojection.cpp
  sprompt.cpp
  table.cpp
  taginfo.cpp
  tagtransform.cpp
  util.cpp
  wildcmp.cpp
  expire-tiles.hpp
  geometry-builder.hpp
  geometry-processor.hpp
  id-tracker.hpp
  middle-pgsql.hpp
  middle-ram.hpp
  middle.hpp
  node-persistent-cache.hpp
  node-ram-cache.hpp
  options.hpp
  osmdata.hpp
  osmtypes.hpp
  output-gazetteer.hpp
  output-multi.hpp
  output-null.hpp
  output-pgsql.hpp
  output.hpp
  parse-osmium.hpp
  pgsql.hpp
  processor-line.hpp
  processor-point.hpp
  processor-polygon.hpp
  reprojection.hpp
  sprompt.hpp
  table.hpp
  taginfo.hpp
  taginfo_impl.hpp
  tagtransform.hpp
  util.hpp
  wildcmp.hpp
)

add_library(osm2pgsql_lib STATIC ${osm2pgsql_lib_SOURCES})
set_target_properties(osm2pgsql_lib PROPERTIES OUTPUT_NAME osm2pgsql)

add_executable(osm2pgsql osm2pgsql.cpp)
target_link_libraries(osm2pgsql_lib ${LIBS})
target_link_libraries(osm2pgsql osm2pgsql_lib ${LIBS})

#############################################################
# Build tests
#############################################################

enable_testing()
include(CTest)

if (BUILD_TESTS)
  add_subdirectory(tests)
else()
  add_subdirectory(tests EXCLUDE_FROM_ALL)
endif()


#############################################################
# Install
#############################################################

install(TARGETS osm2pgsql DESTINATION bin)
install(FILES docs/osm2pgsql.1 DESTINATION share/man/man1)
install(FILES default.style empty.style 900913.sql DESTINATION share/osm2pgsql)

=== tests/CMakeLists.txt ===
add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} ${ARGS})
add_dependencies(check osm2pgsql)

add_library(common-pg STATIC common-pg.cpp common-pg.hpp common-cleanup.cpp common-cleanup.hpp)
add_library(middle-tests STATIC middle-tests.cpp middle-tests.hpp)

set(TESTS
  test-expire-tiles.cpp
  test-hstore-match-only.cpp
  test-middle-flat.cpp
  test-middle-pgsql.cpp
  test-middle-ram.cpp
  test-options-database.cpp
  test-options-parse.cpp
  test-output-multi-line-storage.cpp
  test-output-multi-line.cpp
  test-output-multi-point-multi-table.cpp
  test-output-multi-point.cpp
  test-output-multi-poly-trivial.cpp
  test-output-multi-polygon.cpp
  test-output-multi-tags.cpp
  test-output-pgsql-area.cpp
  test-output-pgsql-schema.cpp
  test-output-pgsql-tablespace.cpp
  test-output-pgsql-z_order.cpp
  test-output-pgsql.cpp
  test-parse-diff.cpp
  test-parse-xml2.cpp
  test-pgsql-escape.cpp
)

foreach (test ${TESTS})
  get_filename_component(test_name ${test} NAME_WE)
  add_executable(${test_name} ${test})
  target_link_libraries(${test_name} osm2pgsql_lib common-pg middle-tests)
  add_test(NAME ${test_name} COMMAND ${test_name}
    WORKING_DIRECTORY ${osm2pgsql_SOURCE_DIR})
  add_dependencies(check ${test_name})
  message(STATUS "Added test: ${test_name}...")
  set_tests_properties(${test_name} PROPERTIES TIMEOUT ${TESTING_TIMEOUT})
endforeach()

set(TEST_NODB
 test-expire-tiles
 test-middle-ram
 test-options-database
 test-options-parse
 test-parse-diff
 test-parse-xml2
 test-pgsql-escape
)

foreach (test ${TEST_NODB})
  set_property(TEST ${test} PROPERTY LABELS NoDB)
endforeach()

set_property(TEST test-middle-flat PROPERTY LABELS FlatNodes)
set_property(TEST test-output-pgsql PROPERTY LABELS FlatNodes)

find_package(PythonInterp)

if (PYTHONINTERP_FOUND)
  add_test(NAME regression-test-pbf COMMAND ${PYTHON_EXECUTABLE} tests/regression-test.py -f tests/liechtenstein-2013-08-03.osm.pbf -x $<TARGET_FILE:osm2pgsql>
    WORKING_DIRECTORY ${osm2pgsql_SOURCE_DIR})
  set_tests_properties(regression-test-pbf PROPERTIES TIMEOUT ${TESTING_TIMEOUT})
  message(STATUS "Added test: regression-test-pbf (needs Python with psycopg2 module)")
else()
  message(WARNING "Can not find python, regression test disabled")
endif()

## osm2pgsql 0.90.1%2bds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 set(PACKAGE osm2pgsql)
 set(PACKAGE_NAME osm2pgsql)
-set(PACKAGE_VERSION 0.90.0)
+set(PACKAGE_VERSION 0.90.1-dev)
 
 cmake_minimum_required(VERSION 2.8.7)

## osm2pgsql 0.90.1+ds

=== debian/changelog ===
osm2pgsql (0.90.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, included upstream.
  * Drop TODO from docs, removed upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Jul 2016 13:38:11 +0200

osm2pgsql (0.90.0+ds-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Drop unused override for spelling error false positive.
  * Add upstream patch to fix projection info for generic projection.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 22:07:00 +0200

osm2pgsql (0.90.0+ds-2) unstable; urgency=medium

  * Enable all hardening buildflags.
  * Add upstream patch to fix segfault due to null pointers in error messages.
    (closes: #819713)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 01 Apr 2016 23:21:43 +0200

osm2pgsql (0.90.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Drop clean file, protobuf files no longer (re)generated.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 02 Mar 2016 18:48:55 +0100

osm2pgsql (0.90.0~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update Vcs-Git URL to use HTTPS.
  * Update Homepage & Donation URLs to use HTTPS.
  * Switch to CMake buildsystem.
  * Update build dependencies:
    - Drop libboost-thread-dev, libxml2-dev & protobuf dependencies
    - Add libexpat1-dev & libosmium2-dev
  * Repack upstream tarball to exclude embedded copy of libosmium.
  * Update copyright file, changes:
    - Drop license & copyright for geos-fallback, no longer included
    - Drop © character from copyright statements
  * Bump Standards-Version to 3.9.7, no changes.
  * Override dh_install to use --list-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Feb 2016 16:23:37 +0100

## osm2pgsql 0.92.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 set(PACKAGE osm2pgsql)
 set(PACKAGE_NAME osm2pgsql)
-set(PACKAGE_VERSION 0.90.1-dev)
+set(PACKAGE_VERSION 0.92.0)
 
 cmake_minimum_required(VERSION 2.8.7)
 
@@ -11,6 +11,7 @@
 set(DATA_DIR \"${CMAKE_INSTALL_PREFIX}/share/osm2pgsql\")
 
 option(BUILD_TESTS "Build test suite" OFF)
+option(WITH_LUA    "Build with lua support" ON)
 
 if (NOT TESTING_TIMEOUT)
   set(TESTING_TIMEOUT 1200)
@@ -65,9 +66,6 @@
 CHECK_INCLUDE_FILES (termios.h HAVE_TERMIOS_H)
 CHECK_INCLUDE_FILES (libgen.h HAVE_LIBGEN_H)
 CHECK_INCLUDE_FILES (unistd.h HAVE_UNISTD_H)
-CHECK_INCLUDE_FILES (sys/wait.h HAVE_SYS_WAIT_H)
-CHECK_INCLUDE_FILES (sys/time.h HAVE_SYS_TIME_H)
-CHECK_INCLUDE_FILES (sys/mman.h HAVE_MMAP)
 
 if (WIN32)
   set(HAVE_LIBGEN_H FALSE)
@@ -77,7 +75,6 @@
 CHECK_FUNCTION_EXISTS(posix_fallocate HAVE_POSIX_FALLOCATE)
 CHECK_FUNCTION_EXISTS(posix_fadvise HAVE_POSIX_FADVISE)
 CHECK_FUNCTION_EXISTS(sync_file_range HAVE_SYNC_FILE_RANGE)
-CHECK_FUNCTION_EXISTS(fork HAVE_FORK)
 
 CHECK_TYPE_SIZE("off_t" SIZEOF_OFF_T)
 
@@ -98,12 +95,10 @@
 find_package(Osmium REQUIRED COMPONENTS io geos proj)
 include_directories(SYSTEM ${OSMIUM_INCLUDE_DIRS})
 
-find_package(Lua)
-if (LUA_FOUND)
+if (WITH_LUA)
+  find_package(Lua REQUIRED)
   include_directories(${LUA_INCLUDE_DIR})
   set(HAVE_LUA 1)
-else()
-  message(STATUS "lua libraries not found. You will NOT be able to use lua scripts for tag transform.")
 endif()
 
 if (MSVC)
@@ -258,4 +253,4 @@
 
 install(TARGETS osm2pgsql DESTINATION bin)
 install(FILES docs/osm2pgsql.1 DESTINATION share/man/man1)
-install(FILES default.style empty.style 900913.sql DESTINATION share/osm2pgsql)
+install(FILES default.style empty.style DESTINATION share/osm2pgsql)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -12,6 +12,7 @@
   test-middle-ram.cpp
   test-options-database.cpp
   test-options-parse.cpp
+  test-options-projection.cpp
   test-output-multi-line-storage.cpp
   test-output-multi-line.cpp
   test-output-multi-point-multi-table.cpp
@@ -22,11 +23,13 @@
   test-output-pgsql-area.cpp
   test-output-pgsql-schema.cpp
   test-output-pgsql-tablespace.cpp
+  test-output-pgsql-validgeom.cpp
   test-output-pgsql-z_order.cpp
   test-output-pgsql.cpp
   test-parse-diff.cpp
   test-parse-xml2.cpp
   test-pgsql-escape.cpp
+  test-wildcard-match.cpp
 )
 
 foreach (test ${TESTS})
@@ -48,6 +51,7 @@
  test-parse-diff
  test-parse-xml2
  test-pgsql-escape
+ test-wildcard-match
 )
 
 foreach (test ${TEST_NODB})
@@ -57,12 +61,20 @@
 set_property(TEST test-middle-flat PROPERTY LABELS FlatNodes)
 set_property(TEST test-output-pgsql PROPERTY LABELS FlatNodes)
 
+if (NOT LUA_FOUND)
+  # these tests require LUA support
+  set_tests_properties(test-output-multi-poly-trivial PROPERTIES WILL_FAIL on)
+  set_tests_properties(test-output-multi-tags PROPERTIES WILL_FAIL on)
+endif()
+
 find_package(PythonInterp)
 
 if (PYTHONINTERP_FOUND)
   add_test(NAME regression-test-pbf COMMAND ${PYTHON_EXECUTABLE} tests/regression-test.py -f tests/liechtenstein-2013-08-03.osm.pbf -x $<TARGET_FILE:osm2pgsql>
     WORKING_DIRECTORY ${osm2pgsql_SOURCE_DIR})
   set_tests_properties(regression-test-pbf PROPERTIES TIMEOUT ${TESTING_TIMEOUT})
+  set_tests_properties(regression-test-pbf
+      PROPERTIES ENVIRONMENT "HAVE_LUA=${LUA_FOUND}")
   message(STATUS "Added test: regression-test-pbf (needs Python with psycopg2 module)")
 else()
   message(WARNING "Can not find python, regression test disabled")

=== debian/changelog ===
osm2pgsql (0.92.0+ds-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Apr 2017 07:31:46 +0200

osm2pgsql (0.92.0+ds-2) unstable; urgency=medium

  * Add upstream patches from 0.92.x branch to fix two important issues:
    - Ignore relations with more than 32k members.
      There is a hard restriction in the pgsql middle tables, where
      relation members are indexed using a smallint. To remain
      consistent, drop all relations which exceed this size.
      https://github.com/openstreetmap/osm2pgsql/issues/713
    - Use the same logic for queuing pending ways with multi and pgsql.
      Fixes ways disappearing from the output table.
      https://github.com/openstreetmap/osm2pgsql/issues/735
    (closes: #860273)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 13 Apr 2017 23:00:11 +0200

osm2pgsql (0.92.0+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Dec 2016 10:14:22 +0100

osm2pgsql (0.92.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 16 Dec 2016 11:34:24 +0100

osm2pgsql (0.92.0~rc1+ds-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Add license & copyright for test_output_pgsql_validgeom.osm.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Dec 2016 00:17:36 +0100

osm2pgsql (0.90.1+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 23 Jul 2016 18:55:19 +0200

osm2pgsql (0.90.0+ds-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 09 Mar 2016 00:42:07 +0100

osm2pgsql (0.88.1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Sep 2015 08:30:51 +0200

osm2pgsql (0.88.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 20 Jul 2015 09:09:41 +0200

osm2pgsql (0.87.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Jul 2015 10:35:26 +0200

osm2pgsql (0.87.3-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Update branch in gbp.conf and Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 11 May 2015 19:44:05 +0200

=== debian/control ===
--- 
+++ 
@@ -7,28 +7,26 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+               cmake,
                libboost-dev,
                libboost-system-dev,
                libboost-filesystem-dev,
-               libboost-thread-dev,
                libbz2-dev,
-               zlib1g-dev,
+               libexpat1-dev,
                libgeos-dev,
                libgeos++-dev,
+               libosmium2-dev,
                libpq-dev,
-               libxml2-dev,
                libproj-dev,
-               libprotobuf-c-dev | libprotobuf-c0-dev (>= 0.14),
-               protobuf-c-compiler,
+               zlib1g-dev,
                liblua5.2-dev,
                lua5.2,
                python,
                python-psycopg2
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osm2pgsql.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/osm2pgsql.git
-Homepage: http://wiki.openstreetmap.org/wiki/Osm2pgsql
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osm2pgsql.git -b jessie-backports
+Homepage: https://wiki.openstreetmap.org/wiki/Osm2pgsql
 
 Package: osm2pgsql
 Architecture: any

## osm2pgsql 0.92.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 set(PACKAGE osm2pgsql)
 set(PACKAGE_NAME osm2pgsql)
-set(PACKAGE_VERSION 0.92.0)
+set(PACKAGE_VERSION 0.92.1)
 
 cmake_minimum_required(VERSION 2.8.7)

=== debian/changelog ===
osm2pgsql (0.92.1+ds-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Jun 2017 16:00:46 +0200

osm2pgsql (0.92.1+ds-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patches, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 13 Apr 2017 23:53:42 +0200
